Page MenuHomePhabricator

RC filters - 'no-effect' states displayed as not muted
Closed, ResolvedPublic1 Story Points

Description

Details

Related Gerrit Patches:
mediawiki/extensions/ORES : masterRC Filters: Fix subset registrations

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 25 2017, 9:42 PM
Etonkovidova updated the task description. (Show Details)Apr 25 2017, 9:43 PM
Catrope set the point value for this task to 1.
SBisson added a subscriber: SBisson.May 1 2017, 2:18 PM

I'm not sure what's wrong in the screenshot. Those 3 filters DO have an effect since they filter out everything that isn't scored with ORES damaging.

jmatazzoni added a subscriber: jmatazzoni.

'Likely' and "Very likely" have no effect because they are subsets of "May." So they're already included. This used to work...

Change 351183 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/ORES@master] RC Filters: Fix subset registrations

https://gerrit.wikimedia.org/r/351183

Change 351183 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] RC Filters: Fix subset registrations

https://gerrit.wikimedia.org/r/351183

Etonkovidova added a comment.EditedMay 1 2017, 10:51 PM

Checked in betalabs - the same selection filters as in the issue screenshot indicates that some of the selected filters are subsets of already selected (and the filters are in one group), and therefore, are muted visually:

QA Recommendation: Resolve

jmatazzoni closed this task as Resolved.May 3 2017, 4:44 PM